%define majver %(echo %version | cut -d. -f1-2)
Name:          gufw
Version:       22.04
Release:       1mamba
Summary:       A graphical user interface for UFW
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/costales/gufw
Source:        https://github.com/costales/gufw.git/%{version}/gufw-%{version}.tar.bz2
Patch:         gufw-10.04.4-su.patch
Patch1:        gui-ufw-13.10.2-fix_ufw_path_in_backend.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: python-distutils-extra-py3
Provides:      firewallgui
Requires:      python3 >= %python3_version
Requires:      ufw
Requires:      pygobject-py3
Requires:      python-netifaces-py3
Requires:      dconf
Provides:      gui-ufw
Obsoletes:     gui-ufw

%description
A graphical user interface for UFW.

%prep
%setup -q
#%patch1 -p1

%build
%{__python3} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python3} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-lib=%{_datadir}/gufw

%find_lang gufw

install -D -m0644 build/share/applications/gufw.desktop %{buildroot}%{_datadir}/applications/gufw.desktop
install -D -m0644 data/icons/48x48/apps/gufw.png %{buildroot}%{_datadir}/pixmaps/gufw.png
install -D -m0644 data/icons/scalable/apps/gufw.svg %{buildroot}%{_datadir}/pixmaps/gufw.svg

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f gufw.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/gufw
%dir %{_sysconfdir}/gufw/app_profiles
%{_sysconfdir}/gufw/app_profiles/*
%{_bindir}/gufw
%{_bindir}/gufw-pkexec
%{_datadir}/polkit-1/actions/com.ubuntu.pkexec.gufw.policy
%{_datadir}/applications/gufw.desktop
%{_docdir}/gufw/*
%dir %{_datadir}/gufw
%{_datadir}/gufw/gufw-*-py3*.egg-info
%dir %{_datadir}/gufw/gufw
%{_datadir}/gufw/gufw/*
%dir %{_datadir}/gufw/media
%{_datadir}/gufw/media/*
%dir %{_datadir}/gufw/ui
%{_datadir}/gufw/ui/*
%{_datadir}/icons/hicolor/48x48/apps/gufw.png
%{_datadir}/icons/hicolor/scalable/apps/*
%{_datadir}/pixmaps/gufw.png
%{_datadir}/pixmaps/gufw.svg
%{_mandir}/man8/gufw.8*

%changelog
* Sat Apr 02 2022 Automatic Build System <autodist@mambasoft.it> 22.04-1mamba
- automatic version update by autodist

* Fri Jan 15 2021 Automatic Build System <autodist@mambasoft.it> 21.04.0-1mamba
- automatic version update by autodist

* Thu Sep 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 20.04.1-1mamba
- update to 20.04.1
- renamed from gui-ufw

* Mon Jun 30 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 13.10.2-2mamba
- require python-netifaces and dconf

* Mon Aug 05 2013 Automatic Build System <autodist@mambasoft.it> 13.10.2-1mamba
- update to 13.10.2

* Sat May 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 13.04.0-2mamba
- python 2.7 mass rebuild

* Sun Jan 27 2013 Automatic Build System <autodist@mambasoft.it> 13.04.0-1mamba
- update to 13.04.0

* Tue Jul 31 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 12.04.1-2mamba
- added a patch to call /usr/sbin/ufw will full path or gufw_daemon called by dbus won't find it

* Sun Jul 29 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 12.04.1-1mamba
- update to 12.04.1

* Tue Nov 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 11.10.2-1mamba
- update to 11.10.2

* Fri Mar 18 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> ufw_10.10.0-1mamba
- update to 10.10.0

* Wed Jul 07 2010 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> ufw_10.04.4-1mamba
- package created by autospec
